﻿using RatingService;
using System.Runtime.InteropServices;
using System.ServiceModel;

namespace SOAPServiceExample
{

  [ComVisible(true)]
  [Guid("A5C2153F-64FA-4163-8059-6DB168532C6B")]
  public class Calculate : ICalculate
  {

    [ComVisible(true)]
    public string CalculatePremium(string QuoteXML)
    {
      string ReturnedValue = "";

      RatingServiceSoapClient RatingModule = new RatingServiceSoapClient(RatingServiceSoapClient.EndpointConfiguration.RatingServiceSoap, 
                                                                         "http://ws.netratedemo.com/RatingService/RatingService.asmx");
      try
      {
        ReturnedValue = RatingModule.CalculateQuote(QuoteXML);
        RatingModule.Close();
      }
      catch (CommunicationException)
      {
        RatingModule.Abort();
      }
      catch (Exception)
      {
        RatingModule.Abort();
        throw;
      }

      if (!String.IsNullOrEmpty(ReturnedValue))
        return ReturnedValue;
      else
        return QuoteXML;    
    
    }

  }

}