﻿using System;
using System.IO;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace TestSOAPExample
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void label1_Click(object sender, EventArgs e)
    {

    }

    private void button3_Click(object sender, EventArgs e)
    {
      Close();
    }

    private void button1_Click(object sender, EventArgs e)
    {
      DialogResult result = oXMLDocument.ShowDialog();
      if (result == DialogResult.OK)
        eXMLDocument.Text = oXMLDocument.FileName;

    }

    private void button2_Click(object sender, EventArgs e)
    {
      string Contents;
      string Result;
      Calculate.NRCalculate Rating = new Calculate.NRCalculate();

      if (eXMLDocument.Text != "")
      {
        Contents = ReadFile(eXMLDocument.Text);
        try
        {
          Result = Rating.CalculatePremium(Contents);
        }
        catch(Exception ex) 
        {
          Result = "Exception : " + ex.Message;
        }
        eResults.Text = Result;
        WriteFile(Result);
      }

    }

    private string ReadFile(string FileName)
    {
      string Result;

      Result = "";

      TextReader tr = new StreamReader(FileName);
      Result = tr.ReadToEnd();
      tr.Close();

      return Result;

    }
    private void WriteFile(string Contents)
    {
      string FileName = @"C:\Temp\CalculateOutput.xml";
      using (StreamWriter OutputFile = new StreamWriter(FileName))
      {
        OutputFile.WriteLine(Contents);
      }
    }




  }
}
